package eu.jonahbauer.wizard.common.machine;

import java.util.Optional;

public interface State<S extends State<S,C>, C extends Context<S,C>> {
    default Optional<S> onEnter(C context) {
        return Optional.empty();
    }

    default void onExit(C context) {}
}
